diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-channel.cc ns-3.43/src/point-to-point/model/point-to-point-channel.cc
--- ns-3.42/src/point-to-point/model/point-to-point-channel.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-channel.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007, 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "point-to-point-channel.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-channel.h ns-3.43/src/point-to-point/model/point-to-point-channel.h
--- ns-3.42/src/point-to-point/model/point-to-point-channel.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-channel.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef POINT_TO_POINT_CHANNEL_H
@@ -141,6 +130,7 @@
      * \deprecated The non-const \c Ptr<NetDevice> argument is deprecated
      * and will be changed to \c Ptr<const NetDevice> in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*TxRxAnimationCallback)(Ptr<const Packet> packet,
                                           Ptr<NetDevice> txDevice,
                                           Ptr<NetDevice> rxDevice,
@@ -165,6 +155,7 @@
      * \deprecated The non-const \c Ptr<NetDevice> argument is deprecated
      * and will be changed to \c Ptr<const NetDevice> in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, // Packet being transmitted
                    Ptr<NetDevice>,    // Transmitting NetDevice
                    Ptr<NetDevice>,    // Receiving NetDevice
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-net-device.cc ns-3.43/src/point-to-point/model/point-to-point-net-device.cc
--- ns-3.42/src/point-to-point/model/point-to-point-net-device.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-net-device.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007, 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "point-to-point-net-device.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-net-device.h ns-3.43/src/point-to-point/model/point-to-point-net-device.h
--- ns-3.42/src/point-to-point/model/point-to-point-net-device.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-net-device.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007, 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef POINT_TO_POINT_NET_DEVICE_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-remote-channel.cc ns-3.43/src/point-to-point/model/point-to-point-remote-channel.cc
--- ns-3.42/src/point-to-point/model/point-to-point-remote-channel.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-remote-channel.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007, 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/point-to-point-remote-channel.h ns-3.43/src/point-to-point/model/point-to-point-remote-channel.h
--- ns-3.42/src/point-to-point/model/point-to-point-remote-channel.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/point-to-point-remote-channel.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/ppp-header.cc ns-3.43/src/point-to-point/model/ppp-header.cc
--- ns-3.42/src/point-to-point/model/ppp-header.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/ppp-header.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ppp-header.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/model/ppp-header.h ns-3.43/src/point-to-point/model/ppp-header.h
--- ns-3.42/src/point-to-point/model/ppp-header.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/model/ppp-header.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef PPP_HEADER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point/test/point-to-point-test.cc ns-3.43/src/point-to-point/test/point-to-point-test.cc
--- ns-3.42/src/point-to-point/test/point-to-point-test.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/point-to-point/test/point-to-point-test.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-dumbbell.cc ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.cc
--- ns-3.42/src/point-to-point-layout/model/point-to-point-dumbbell.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley<riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-dumbbell.h ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.h
--- ns-3.42/src/point-to-point-layout/model/point-to-point-dumbbell.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley<riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-grid.cc ns-3.43/src/point-to-point-layout/model/point-to-point-grid.cc
--- ns-3.42/src/point-to-point-layout/model/point-to-point-grid.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-grid.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Josh Pelkey <jpelkey@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-grid.h ns-3.43/src/point-to-point-layout/model/point-to-point-grid.h
--- ns-3.42/src/point-to-point-layout/model/point-to-point-grid.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-grid.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Josh Pelkey <jpelkey@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-star.cc ns-3.43/src/point-to-point-layout/model/point-to-point-star.cc
--- ns-3.42/src/point-to-point-layout/model/point-to-point-star.cc	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-star.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Implement an object to create a star topology.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/point-to-point-layout/model/point-to-point-star.h ns-3.43/src/point-to-point-layout/model/point-to-point-star.h
--- ns-3.42/src/point-to-point-layout/model/point-to-point-star.h	2024-05-29 15:29:47.156073600 -0700
+++ ns-3.43/src/point-to-point-layout/model/point-to-point-star.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Define an object to create a star topology.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/examples/jakes-propagation-model-example.cc ns-3.43/src/propagation/examples/jakes-propagation-model-example.cc
--- ns-3.42/src/propagation/examples/jakes-propagation-model-example.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/examples/jakes-propagation-model-example.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/examples/main-propagation-loss.cc ns-3.43/src/propagation/examples/main-propagation-loss.cc
--- ns-3.42/src/propagation/examples/main-propagation-loss.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/examples/main-propagation-loss.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Timo Bingmann
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Timo Bingmann <timo.bingmann@student.kit.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/channel-condition-model.cc ns-3.43/src/propagation/model/channel-condition-model.cc
--- ns-3.42/src/propagation/model/channel-condition-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/channel-condition-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "channel-condition-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/channel-condition-model.h ns-3.43/src/propagation/model/channel-condition-model.h
--- ns-3.42/src/propagation/model/channel-condition-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/channel-condition-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef CHANNEL_CONDITION_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/cost231-propagation-loss-model.cc ns-3.43/src/propagation/model/cost231-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/cost231-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/cost231-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/cost231-propagation-loss-model.h ns-3.43/src/propagation/model/cost231-propagation-loss-model.h
--- ns-3.42/src/propagation/model/cost231-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/cost231-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/itu-r-1411-los-propagation-loss-model.cc ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/itu-r-1411-los-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/itu-r-1411-los-propagation-loss-model.h ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.h
--- ns-3.42/src/propagation/model/itu-r-1411-los-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.cc ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h
--- ns-3.42/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
